View Issue Details

IDProjectCategoryView StatusLast Update
0000939SOGoWeb Generalpublic2015-07-10 10:19
ReporterwsourdeauAssigned Tofrancis  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Target Version3.0.0Fixed in Version3.0.0 
Summary0000939: refactoring: change menu code to use controllers
Description

The current code for handling menus works quite well but it would be nice to create controller classes for handling internal and external callbacks as well a programmatically enable the menu creation. This would be part of a large cleanup of the SOGo JS code.

Also, different types of menu should be taken into account: contextual, combox box or button menu. Maybe other sorts are used...

TagsNo tags attached.

Relationships

has duplicate 0000064 resolvedfrancis Web contextual menus 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2010-11-01 16:24 wsourdeau New Issue
2010-11-15 16:39 francis Relationship added has duplicate 0000064
2014-03-09 16:59 ludovic Target Version => 3.0.0
2015-07-10 10:19 francis Status new => resolved
2015-07-10 10:19 francis Fixed in Version => 3.0.0
2015-07-10 10:19 francis Resolution open => fixed
2015-07-10 10:19 francis Assigned To => francis